Skip to content

Update item

PUT
/bookings/v4/{id}/items/{item_id}

Updates an existing item on a booking. Quotes will be recalculated to reflect the changes.

id
required
integer
Example
12345678

Booking ID

item_id
required
integer
Example
1

Item ID

object
weight
required

Weight in kilograms

number
Example
5
height
required

Height in centimetres

number
Example
20
width
required

Width in centimetres

number
Example
30
length
required

Length in centimetres

number
Example
40
quantity
required

Number of identical items

integer
Example
1
description
required

Description of the item

string
Example
Electronics

Updated item

object
id

Unique item identifier

integer
Example
1
description

Description of the item

string
Example
Electronics
weight

Weight in kilograms

number
Example
5
length

Length in centimetres

number
Example
40
width

Width in centimetres

number
Example
30
height

Height in centimetres

number
Example
20
quantity

Number of identical items

integer
Example
1

Validation error

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.

Unauthorized

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.

Item or booking not found

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.